1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

SDL, SDL_image und FMOD installieren

Dieses Thema im Forum "Unix & Terminal" wurde erstellt von Leonardo, 06.01.08.

  1. Leonardo

    Leonardo Rhode Island Greening

    Dabei seit:
    04.09.05
    Beiträge:
    479
    Hallo Apfeltalker,

    ich hatte vor ein paar Tagen meine Frage im Spiele-Unterforum gestellt, aber ich habe mir schon dabei gedacht, dass mir da kein Betrachter helfen kann. Jetzt wende ich mich an die Experten. :)

    Vielleicht kennt ihr Ultimate-Stunts, ein Open-Source Remake von "Stunts" einem Kult-DOS-Game vergangener Zeit. Dieses Spiel kommt leider nicht als kompilierte Binärdatei daher, sondern mann muss es für sein System selbst kompilieren. Alles klar, dachte ich mir, dann fängste halt mal an, dich noch ein bisschen mehr mit dem UNIX unter deinem Bestriebssystem zu beschäftigen.

    Für das Spiel braucht man laut Kompilier-Anleitung 3 abhängige Pakete:
    FMOD
    SDL
    SDL_Image

    Nun hab ich alle runtergeladen und installiert. Also - zumindest dachte ich das. Während FMOD noch mit einem Installationsprogramm daherkommt, heißt es bei SDL und SDL_Image in der Readme, dass man einen Ordner unter /Library/Frameworks kopieren soll. Gesagt getan. Als ich dann aber die ./configure Datei von Ultimate-Stunts ausführte, meldete er mir zum Schluss, dass ich keines der obigen Pakete installiert hätte. Ein verzweifeltes "make" brachte denn natürlich auch keine Ergebnisse.

    Kann mit jemand dabei helfen? Wie kann ich diese Pakete korrekt in mein System installieren, dass sie vom Configure-Script erkannt werden? Hätte vielleicht sogar jemand Lust, das Spiel bei sich zu installieren und dann eine Schritt-für-Schritt Anleitung zu geben?

    Wenn Fragen sind, wie ich vorgegangen bin, könnt ihr mich gern per ICQ erreichen unter: 13128761.

    Viele Grüße und vielen Dank bzw. viel Spaß,
    Leonardo
     
  2. Dr. Koffein

    Dr. Koffein Empire

    Dabei seit:
    19.01.05
    Beiträge:
    89
    Moin Leonardo,

    ich wollte gerade die Installation durchführen. Allerdings lassen sich keine Pakete von fmod herunterladen. Hast Du noch das entsprechende Paket verfügbar?
     
  3. Leonardo

    Leonardo Rhode Island Greening

    Dabei seit:
    04.09.05
    Beiträge:
    479

Diese Seite empfehlen